<?php

/**
 * @file
 * Provides info-type hook implementations that are infrequently called.
 *
 * @author Jim Berry ("solotandem", http://drupal.org/user/240748)
 */

/**
 * Implements hook_menu().
 */
function _remote_content_menu() {
  $items['admin/config/content/remote_content'] = array(
    'title' => 'Remote site content',
    'description' => 'Manage the settings of remote site content.',
    'page callback' => 'drupal_get_form',
    'page arguments' => array('remote_content_settings_form'),
    'access callback' => 'user_access',
    'access arguments' => array('administer site configuration'),
    'file' => 'includes/settings.inc',
  );
  return $items;
}

/**
 * Implements hook_theme().
 */
function _remote_content_theme() {
  return array(
    'remote_image_formatter' => array(
      'variables' => array('item' => NULL, 'path' => NULL, 'image_style' => NULL),
      'file' => 'includes/field.inc',
    ),
  );
}

/**
 * Implements hook_field_formatter_info_alter().
 *
 * @todo Add support for all remote files.
 */
function _remote_content_field_formatter_info_alter(&$info) {
  if (!empty($info['image'])) {
    // Add remote image formatter. See image_field_formatter_info().
    $info['remote_image'] = $info['image'];
    $info['remote_image']['label'] = t('Remote image');
    $info['remote_image']['module'] = 'remote_content';
  }
}
