<?php

/**
 * @file
 * Contains the remote node nid argument handler.
 *
 * @author Jim Berry ("solotandem", http://drupal.org/user/240748)
 */

/**
 * Argument handler to accept a remote path alias and convert it to a remote node id.
 */
class remote_handler_argument_node_nid extends views_handler_argument_node_nid {

  /**
   * Set the input for this argument
   *
   * @overrides views_handler_argument::set_argument()
   */
  function set_argument($arg) {
    $options = $this->view->display_handler->options;
    if (!empty($options['remote_database'])) {
      // Set the active database connection to the remote database.
      RemoteNodeController::setRemoteDatabase($options['remote_database']);
      // Force path alias lookup from remote database.
      drupal_static_reset('drupal_lookup_path');

      $path = $_GET['q'];
      $source = drupal_get_normal_path($path, $path_language = NULL);
      $arg = substr($source, strpos($source, '/') + 1);

      // Restore the active database connection.
      RemoteNodeController::restoreDatabase();
    }

    $this->argument = $arg;
    return $this->validate_arg($arg);
  }
}
